package com.uas.finance.util;


import com.uas.sso.entity.UserAccount;

/**
 * 每次请求服务器时，请求的企业信息保存，然后进行相关操作
 * 
 * @author yingp
 * 
 */
public class SystemSession {

	private static ThreadLocal<UserAccount> local = new ThreadLocal<UserAccount>();

	public static UserAccount getUserAccount() {
		return local.get();
	}

	public static void setUserAccount(UserAccount userAccount) {
		SystemSession.local.set(userAccount);
	}

	public static void clear() {
		local.set(null);
	}

}
